<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>MMWave_OpenCfg_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">MMWave_OpenCfg_t Struct Reference<div class="ingroups"><a class="el" href="group___m_m_w_a_v_e.html">mmWave API</a> &raquo; <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html">mmWave External Data Structures</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Open Configuration.  
 <a href="struct_m_m_wave___open_cfg__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwave/mmwave.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a9bec92949c65430374d90183970b31f0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9bec92949c65430374d90183970b31f0"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___open_cfg__t.html#a9bec92949c65430374d90183970b31f0">freqLimitLow</a></td></tr>
<tr class="memdesc:a9bec92949c65430374d90183970b31f0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Low Frequency Limit for calibrations: <br /></td></tr>
<tr class="separator:a9bec92949c65430374d90183970b31f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb85dead158d07f1245bfa1022500e6b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afb85dead158d07f1245bfa1022500e6b"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___open_cfg__t.html#afb85dead158d07f1245bfa1022500e6b">freqLimitHigh</a></td></tr>
<tr class="memdesc:afb85dead158d07f1245bfa1022500e6b"><td class="mdescLeft">&#160;</td><td class="mdescRight">High Frequency Limit for calibrations. <br /></td></tr>
<tr class="separator:afb85dead158d07f1245bfa1022500e6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb0ded5f16f794496ed0a1f223dbb2b8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeb0ded5f16f794496ed0a1f223dbb2b8"></a>
rlChanCfg_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___open_cfg__t.html#aeb0ded5f16f794496ed0a1f223dbb2b8">chCfg</a></td></tr>
<tr class="memdesc:aeb0ded5f16f794496ed0a1f223dbb2b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configuration which is used to setup channel. <br /></td></tr>
<tr class="separator:aeb0ded5f16f794496ed0a1f223dbb2b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f23ddb4827c42b16a07d319b7257683"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8f23ddb4827c42b16a07d319b7257683"></a>
rlLowPowerModeCfg_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___open_cfg__t.html#a8f23ddb4827c42b16a07d319b7257683">lowPowerMode</a></td></tr>
<tr class="memdesc:a8f23ddb4827c42b16a07d319b7257683"><td class="mdescLeft">&#160;</td><td class="mdescRight">Low power mode configuration. <br /></td></tr>
<tr class="separator:a8f23ddb4827c42b16a07d319b7257683"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75f4465a3cd30b47df4007a67f1ecd39"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a75f4465a3cd30b47df4007a67f1ecd39"></a>
rlAdcOutCfg_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___open_cfg__t.html#a75f4465a3cd30b47df4007a67f1ecd39">adcOutCfg</a></td></tr>
<tr class="memdesc:a75f4465a3cd30b47df4007a67f1ecd39"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configuration which is used to setup ADC. <br /></td></tr>
<tr class="separator:a75f4465a3cd30b47df4007a67f1ecd39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7062c32ae32ed87b77a6209556ebe69c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7062c32ae32ed87b77a6209556ebe69c"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___open_cfg__t.html#a7062c32ae32ed87b77a6209556ebe69c">disableFrameStartAsyncEvent</a></td></tr>
<tr class="memdesc:a7062c32ae32ed87b77a6209556ebe69c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Flag that determines if frame start async event is disabled. RL_RF_AE_FRAME_TRIGGER_RDY_SB rlSensorStart. <br /></td></tr>
<tr class="separator:a7062c32ae32ed87b77a6209556ebe69c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2c782345df5bbec0c45a68b0324622e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab2c782345df5bbec0c45a68b0324622e"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___open_cfg__t.html#ab2c782345df5bbec0c45a68b0324622e">disableFrameStopAsyncEvent</a></td></tr>
<tr class="memdesc:ab2c782345df5bbec0c45a68b0324622e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Flag that determines if frame stop async event is disabled. RL_RF_AE_FRAME_END_SB rlSensorStop. <br /></td></tr>
<tr class="separator:ab2c782345df5bbec0c45a68b0324622e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Open Configuration. </p>
<p>The structure specifies the configuration which is required to open the MMWave module. Once the MMWave module has been opened the mmWave link to the BSS is operational. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwave/<a class="el" href="mmwave_8h.html">mmwave.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
